Subject: Re: [ANN] Cygwin DEV survey
From: Stipe Tolj <[email-masked]>
To: DJ Delorie <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 08 Mar 1999 00:48:35 +0100

DJ Delorie wrote:
> 
> > >Warning: I've not seen full sources on ftp.franken.de, which is a
> > >violation of the GPL.  You'll have to get the sources those packages
> >
> > Really? I thought, a pointer to the location of the sources would be
> > sufficient!?!
> 
> The GNU GPL version 2 requires that all the sources needed to build a
> given binary be made available via the same means as the binary.  For
> FTP/WWW access, this means on the same site (I asked RMS once).  The
> reasons are:

I don't know if I'm legaly right, but this would mean SuSE and others
would have to provide sources (like xforms) which are included in binary
form but not freely available as sources. Is that right?

> > If not, please tell me, what I have to do to fullfill the GPL! There was
> > no intention to violate it.
> 
> Simple.  Each tar/zip containing binaries must have a corresponding
> tar/zip of the sources, at the same site.  This is what djgpp does,
> this is what you should do.  If you ever remove the package, you
> remove both the source and binary at the same time.  When you
> distribute via ftp/www, the three year offer doesn't count - the user
> should download both the sources and binaries at the same time if they
> want them.  They aren't required to take the sources, but you are
> required to make them available whenever the binaries are available.

FYI, my cygwin ports to ftp.franken.de have always included sources :))

I hope Michael doesn't cut his cygwin porting efforts now ;(

Regards,
Stipe

-- 
Stipe Tolj <[email-masked]>
Cygwin Porting Project
Department of Economical Computer Science        
University of Cologne, Germany                  
http://www-public.rz.uni-duesseldorf.de/~tolj

--
Want to unsubscribe from this list?
Send a message to [email-masked]